org.apache.sling.maven.kickstart.run

## Class StartMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.sling.maven.kickstart.run.AbstractStartStopMojo
    - - org.apache.sling.maven.kickstart.run.StartMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    @Mojo(name="start",
          defaultPhase=PRE_INTEGRATION_TEST,
          threadSafe=true)
    public class StartMojo
    extends AbstractStartStopMojo

Start one or multiple Kickstart instance(s).

### Field Summary

Fields
`protected String` `debug` Overwrites debug parameter of all server configurations (if set).

### Fields inherited from class org.apache.sling.maven.kickstart.run.AbstractStartStopMojo

`servers, shouldBlockUntilKeyIsPressed, skipKickStart, systemPropertiesFile`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`StartMojo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doExecute()`

### Methods inherited from class org.apache.sling.maven.kickstart.run.AbstractStartStopMojo

`blockIfNecessary, execute`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### debug

    @Parameter(property="kickstart.debug")
    protected String debug

Overwrites debug parameter of all server configurations (if set). Attaches a debugger to the forked JVM. If set to `"true"`, the process will allow a debugger to connect on port 8000. If set to some other string, that string will be appended to the server's `vmOpts`, allowing you to configure arbitrary debugging options.

### Constructor Detail

#### StartMojo

    public StartMojo()

### Method Detail

#### doExecute

    protected void doExecute()
                      throws org.apache.maven.plugin.MojoExecutionException,
                             org.apache.maven.plugin.MojoFailureException

Specified by:
  `doExecute` in class `AbstractStartStopMojo`
Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`